
Infrastructure - Task #3722

Task # 3866 (Closed): Release CCI 1.2.2 Features

build an RDFS reasoner-based parser to get triples

2013-04-19 21:55 - Rob Nahf

Status: Closed Start date: 2013-04-19

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

The idea here is to build a parser that can get implied relationships from resource maps as well as the explicitly stated ones.

Performance-wise, try to limit what the model parses to what is being looked for, (not extraneous definitions submitters may choose

to add) so that memory and computation time are limited. 

see http://jena.apache.org/documentation/javadoc/jena/com/hp/hpl/jena/reasoner/rulesys/RDFSRuleReasoner.html

Related issues:

Blocks Infrastructure - Task #3723: refactor indexer to use libclient_java pa... Closed 2013-06-21 2013-06-21

History

#1 - 2013-04-19 22:01 - Rob Nahf

- Description updated

#2 - 2013-05-22 22:54 - Chris Jones

- Assignee set to Rob Nahf

- Category set to d1_libclient_java

#3 - 2013-05-24 20:28 - Rob Nahf

- Status changed from New to In Progress

- % Done changed from 0 to 80

determined how to build the parser, and added boolean for specifying a reasoning parser.

The reasoning parser uses more memory than standard one, so should be used judiciously.

See Very Large Resource Map architecture document

http://mule1.dataone.org/ArchitectureDocs-current/design/VeryLargeDataPackage.html#rdf-deserialization

#4 - 2013-05-24 20:29 - Rob Nahf

- % Done changed from 80 to 90

- Status changed from In Progress to Testing

#5 - 2013-06-04 20:34 - Rob Nahf

- File aggregatesTransitivity.xml added

- File www.openarchives.org-ore-terms-hack-aggr-transitive.xml added

- File aggregatesTransitivity.xml added

- File www.openarchives.org-ore-terms-hack-aggr-transitive.xml added
http://jena.apache.org/documentation/javadoc/jena/com/hp/hpl/jena/reasoner/rulesys/RDFSRuleReasoner.html
As thought expermiment, I was able to make the aggregates predicate transitive by altering the ORE terms definitions.  This would be to be able to

make inferences about aggregates of aggregates.  Included the files here for reference - they are not implemented.  The idea is that these would be

read into the reasoning model to get the behavior desired.  (if A aggregates B, and B aggregates C, then A aggregates C, through inference)

#6 - 2013-06-04 20:35 - Rob Nahf

- % Done changed from 90 to 100

- Status changed from Testing to Closed

- translation missing: en.field_remaining_hours set to 0.0

#7 - 2013-08-06 16:04 - Skye Roseboom

- Estimated time set to 0.00

- Parent task changed from #3720 to #3866

Hi Rob - it looks like this work is complete.   Can this work be moved to the release branch so we can begin testing the 1.2.2 release in preparation for

tagging.

Files

www.openarchives.org-ore-terms-hack-aggr-transitive.xml 9.56 KB 2013-06-04 Rob Nahf

aggregatesTransitivity.xml 1.03 KB 2013-06-04 Rob Nahf
